Bug 80967 - geda tools update
geda tools update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jylefort
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 09:30 UTC by bruno
Modified: 2005-05-16 04:45 UTC (History)
0 users

See Also:


Attachments
file.diff (39.39 KB, patch)
2005-05-13 09:30 UTC, bruno
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bruno 2005-05-13 09:30:06 UTC
	update of the following ports to version 20050313 :
	ports/cad/geda
	ports/cad/geda-symbols
	ports/cad/geda-symcheck
	ports/cad/geda-utils
	ports/cad/gnetlist
	ports/cad/gschem
	ports/cad/libgeda

How-To-Repeat: 	N/A
Comment 1 jylefort freebsd_committer 2005-05-14 15:07:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 jylefort freebsd_committer 2005-05-16 04:33:01 UTC
State Changed
From-To: open->closed

Committed, thanks! 

FYI: 
- the libgeda.pc file installed by libgeda was incorrect, and caused the 
build of applications using it to fail 
- libgeda now needs USE_LIBTOOL_VER=15, not 13 
- in CONFIGURE_ENV, use LDFLAGS instead of LIBS, to be inline with what 
most ports do 
- leaf ports: 
- did not need INSTALLS_SHLIB 
- did not need USE_LIBTOOL_VER 
- did not depend on guile 
- did not have a --enable-gdgeda configure option (except gschem) 
- in geda-symcheck, I have moved geda-symbols from BUILD_ to RUN_DEPENDS 
- geda-utils did not need USE_GETOPT_LONG 
- the packing list of gschem contained @unexec directives removing locale 
directories already listed in /etc/mtree/BSD.local.dist